%define upstream_name Dist-Zilla-Plugin-MetaYAML-Minimal
%define upstream_version 0.001000

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Generate a reductionist YAML META file for compatibility only
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::FileGatherer)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
Generally, if you're creating both "META.json" and "META.yml", then
you're doing so purely for compatibility reasons.

In such circumstances, using the same meta-data for both leads to a lot
of cruft in "META.yml"

This "Dist::Zilla" extension is for such circumstances.

However, if you are *only* shipping "META.yml" and NOT "META.json", then
using this extension would be harmful and cause loss of information.

Presently, this extension is a *PROTOTYPE*, and just culls fields
leading with "x_" passed by "Dist::Zilla".

The final behavior may require enhancements to "CPAN::Meta::Converter"
and might be possibly superseded by patches to "MetaYAML" itself.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-3.mga6
+ Revision: 1026378
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 968219
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.0-1.mga6
+ Revision: 851622
- imported package perl-Dist-Zilla-Plugin-MetaYAML-Minimal

